package com.heyu.api.data.dao.calca;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.calca.CalcaTokenFaceEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CalcaTokenFaceDao extends BaseMapper<CalcaTokenFaceEntity> {


	CalcaTokenFaceEntity selectCalcaTokenFaceById(@Param("id")Long id);


	Long insertCalcaTokenFace(CalcaTokenFaceEntity calcaTokenFace);


	Long insertOrUpdateCalcaTokenFace(CalcaTokenFaceEntity calcaTokenFace);


	int updateCalcaTokenFaceById(CalcaTokenFaceEntity calcaTokenFace);


	int updateCoverCalcaTokenFaceById(CalcaTokenFaceEntity calcaTokenFace);


	int deleteCalcaTokenFaceById(@Param("id")Long id);


    List<CalcaTokenFaceEntity> selectCalcaTokenFaceByToken(String token);
}